#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'klocateconfiglocatewidget.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "klocateconfiglocatewidget.h"

#include <ntqvariant.h>
#include <klineedit.h>
#include <ntqpushbutton.h>
#include <ntqgroupbox.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a KLocateConfigLocateWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KLocateConfigLocateWidget::KLocateConfigLocateWidget( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "KLocateConfigLocateWidget" );
    KLocateConfigLocateWidgetLayout = new TQVBoxLayout( this, 11, 6, "KLocateConfigLocateWidgetLayout"); 

    groupBox4 = new TQGroupBox( this, "groupBox4" );
    groupBox4->setColumnLayout(0, TQt::Vertical );
    groupBox4->layout()->setSpacing( 6 );
    groupBox4->layout()->setMargin( 11 );
    groupBox4Layout = new TQVBoxLayout( groupBox4->layout() );
    groupBox4Layout->setAlignment( TQt::AlignTop );

    textLabel3_2 = new TQLabel( groupBox4, "textLabel3_2" );
    textLabel3_2->setTextFormat( TQLabel::RichText );
    groupBox4Layout->addWidget( textLabel3_2 );
    KLocateConfigLocateWidgetLayout->addWidget( groupBox4 );

    groupBox2 = new TQGroupBox( this, "groupBox2" );
    groupBox2->setFlat( FALSE );
    groupBox2->setColumnLayout(0, TQt::Vertical );
    groupBox2->layout()->setSpacing( 6 );
    groupBox2->layout()->setMargin( 11 );
    groupBox2Layout = new TQVBoxLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( TQt::AlignTop );

    textLabel1_3_2_2 = new TQLabel( groupBox2, "textLabel1_3_2_2" );
    groupBox2Layout->addWidget( textLabel1_3_2_2 );

    layout11 = new TQHBoxLayout( 0, 0, 6, "layout11"); 

    textLabel1_4 = new TQLabel( groupBox2, "textLabel1_4" );
    textLabel1_4->setAlignment( int( TQLabel::AlignVCenter ) );
    layout11->addWidget( textLabel1_4 );
    spacer4 = new TQSpacerItem( 81, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout11->addItem( spacer4 );

    kcfg_locateBinary = new KLineEdit( groupBox2, "kcfg_locateBinary" );
    kcfg_locateBinary->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, kcfg_locateBinary->sizePolicy().hasHeightForWidth() ) );
    kcfg_locateBinary->setMinimumSize( TQSize( 200, 0 ) );
    layout11->addWidget( kcfg_locateBinary );
    groupBox2Layout->addLayout( layout11 );

    textLabel1_3_2 = new TQLabel( groupBox2, "textLabel1_3_2" );
    groupBox2Layout->addWidget( textLabel1_3_2 );

    layout12 = new TQHBoxLayout( 0, 0, 6, "layout12"); 

    textLabel1_4_2 = new TQLabel( groupBox2, "textLabel1_4_2" );
    layout12->addWidget( textLabel1_4_2 );
    spacer5 = new TQSpacerItem( 51, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout12->addItem( spacer5 );

    kcfg_locateAdditionalArguments = new KLineEdit( groupBox2, "kcfg_locateAdditionalArguments" );
    kcfg_locateAdditionalArguments->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, kcfg_locateAdditionalArguments->sizePolicy().hasHeightForWidth() ) );
    kcfg_locateAdditionalArguments->setMinimumSize( TQSize( 200, 0 ) );
    layout12->addWidget( kcfg_locateAdditionalArguments );
    groupBox2Layout->addLayout( layout12 );

    textLabel3 = new TQLabel( groupBox2, "textLabel3" );
    groupBox2Layout->addWidget( textLabel3 );
    KLocateConfigLocateWidgetLayout->addWidget( groupBox2 );
    languageChange();
    resize( TQSize(567, 385).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    textLabel1_4->setBuddy( kcfg_locateBinary );
    textLabel1_4_2->setBuddy( kcfg_locateAdditionalArguments );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KLocateConfigLocateWidget::~KLocateConfigLocateWidget()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KLocateConfigLocateWidget::languageChange()
{
    setCaption( tr2i18n( "KLocateConfigLocateWidget" ) );
    groupBox4->setTitle( tr2i18n( "Locate Settings" ) );
    textLabel3_2->setText( tr2i18n( "<p>tdeio-locate does not handle the settings of locate, because this setup varies among different distributions. There are even distributions that use replacements like slocate.</p>\n"
"<p>To configure locate you should take a look at the manpage of locate. Since most distributions use cron for updating locate's database, it may also be useful to take a look at the manpage of crontab.</p>" ) );
    groupBox2->setTitle( tr2i18n( "Locate Binary" ) );
    textLabel1_3_2_2->setText( tr2i18n( "Use these settings only if you really know what you do. Otherwise the default should be ok." ) );
    textLabel1_4->setText( tr2i18n( "Locate &binary:" ) );
    textLabel1_3_2->setText( tr2i18n( "<i>Hint:</i> If you don't specify a value here (which is the default), tdeio-locate will automatically pick slocate, rlocate or locate (in that order)." ) );
    textLabel1_4_2->setText( tr2i18n( "Additional &arguments:" ) );
    textLabel3->setText( tr2i18n( "<i>Hint:</i> Do not use -r or -i here. The first will confuse tdeio-locate, and the latter can be changed through the \"Case sensitivity\" option." ) );
}

/****************************************************************************
** KLocateConfigLocateWidget meta object code from reading C++ file 'klocateconfiglocatewidget.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "klocateconfiglocatewidget.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *KLocateConfigLocateWidget::className() const
{
    return "KLocateConfigLocateWidget";
}

TQMetaObject *KLocateConfigLocateWidget::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_KLocateConfigLocateWidget( "KLocateConfigLocateWidget", &KLocateConfigLocateWidget::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString KLocateConfigLocateWidget::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "KLocateConfigLocateWidget", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString KLocateConfigLocateWidget::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "KLocateConfigLocateWidget", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* KLocateConfigLocateWidget::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"KLocateConfigLocateWidget", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_KLocateConfigLocateWidget.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* KLocateConfigLocateWidget::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "KLocateConfigLocateWidget" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool KLocateConfigLocateWidget::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool KLocateConfigLocateWidget::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool KLocateConfigLocateWidget::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool KLocateConfigLocateWidget::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
